## $p.value

my_t_test <- function(x) {
  t.test(x[1:3], x[4:6])$p.value
}

x <- rnorm(6, 5, 1)

t.test(x[1:3], x[4:6])

t.test(x[1:3], x[4:6])$p.value

m <- matrix(rnorm(600), ncol = 6)
dim(m)

pv <- apply(m, 1, my_t_test)
length(pv)

##

colnames(m) <- letters[1:6]
knitr::kable(head(m))


## xlim ylim

plot(m[, 1], m[, 2])

summary(m)

plot(m[, 1], m[, 2], xlim = c(-1, 1))
plot(m[, 1], m[, 2], ylim = c(-1, 1))
plot(m[, 1], m[, 2], 
     xlim = c(-1, 1),
     ylim = c(-1, 1))


library(ggplot2)
## p + xlim(c(-1, 1)) + ylim(c(-1, 1))


##
ggplot(binomial_dens, aes(x = k, y = p)) +
  geom_bar(stat = "identity")


##

runif(10)

head(m)
dim(m)


##

lfc <- rnorm(100)
hist(lfc)
pv <- runif(100)

plot(lfc, -log10(pv))
grid()
abline(h = -log10(0.05))
abline(v = c(-1, 1))

padj <- p.adjust(pv, method = "BH")

plot(lfc, -log10(padj))
grid()
abline(h = -log10(0.05))
abline(v = c(-1, 1))
